| Visioscan Set SDK Libraries 1.3.5 Visioscan Set SDK Help documentation file for C++ and C++/CLI |

Loading...
Searching...
No Matches
Public Member Functions | List of all members
DevicePinger Class Reference

The ETHERNET device pinger: a helper to allow sending ICMP packets to a host. More...

`#include <DevicePinger.h>`

## Public Member Functions
| DevicePinger ()
| Default constructor.
| DevicePinger (string address)
| A copy constructor accepting the IPV4 host address to ping.
| DevicePinger (string address, int timeout)
| A copy constructor accepting the IPV4 host address to ping.
void | SetAddress (string address)
| Sets the host IPV4 Address to ping.
PING_RESULT | Ping ()
| Pings the host.
PING_RESULT | Ping (int packetAmount)
| Pings the host.

## Detailed Description

The ETHERNET device pinger: a helper to allow sending ICMP packets to a host.

## Constructor & Destructor Documentation

## ◆ DevicePinger() [1/3]

DevicePinger::DevicePinger | ( |  | ) |

Default constructor.

## ◆ DevicePinger() [2/3]

DevicePinger::DevicePinger | ( | string | address | ) |

A copy constructor accepting the IPV4 host address to ping.

Parameters

  address | The host IPV4 adress

## ◆ DevicePinger() [3/3]

DevicePinger::DevicePinger | ( | string | address,
|  | int | timeout )

A copy constructor accepting the IPV4 host address to ping.

Parameters

  address | The host IPV4 adress
  timeout | The allowed ping timeout in milliseconds

## Member Function Documentation

## ◆ Ping() [1/2]

PING_RESULT DevicePinger::Ping | ( |  | ) |

Pings the host.

Returns
  An encapsulation of ping returns

Returns
  The amount of packets sent (default amount of packet is 3)

## ◆ Ping() [2/2]

PING_RESULT DevicePinger::Ping | ( | int | packetAmount | ) |

Pings the host.

Parameters

  packetAmount | How much packet to be sent

Returns
  An encapsulation of ping returns

Parameters

  packetAmount | How much packet to be sent

Returns
  The amount of packets sent

## ◆ SetAddress()

void DevicePinger::SetAddress | ( | string | address | ) |

Sets the host IPV4 Address to ping.

Parameters

  address | The host IPV4 adress

The documentation for this class was generated from the following files:

- DevicePinger.h
- DevicePinger.cpp